IF OBJECT_ID('dbo.vw_fco_centros_trabajo') IS NOT NULL
    DROP VIEW dbo.vw_fco_centros_trabajo
GO
CREATE VIEW dbo.vw_fco_centros_trabajo
AS
SELECT rac.compania, centro_trabajo = dato, descripcion = ISNULL(ct.descripcion, dat.descripcion), 
       codigo_reporte = ISNULL(Rtrim(ct.codigo_reporte), dato), ct.tarifa
FROM rel_agr_companias rac
INNER JOIN datos_agr_trab dat ON rac.agrupacion = dat.agrupacion
LEFT JOIN fco_centros_trabajo ct ON rac.compania = ct.compania AND ct.centro_trabajo = dat.dato
WHERE rac.agrupacion = ISNULL(
(Select dato FROM vw_fdt_parametros x
 Where x.pais = 'COL' and x.compania = rac.compania 
   and x.parametro = 'autoliq' and secuencia = 24), 'CENTROS_TR')
GO
GRANT SELECT ON dbo.vw_fco_centros_trabajo TO PUBLIC
GO
